explain_getchar_or_die(3)

NAME
explain_getchar_or_die - input of characters and report errors

SYNOPSIS
#include <libexplain/getchar.h>

void explain_getchar_or_die(void);

DESCRIPTION
The explain_getchar_or_die function is used to call the getchar(3) system call. On failure an explanation will be printed to stderr, obtained from explain_getchar(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    int c = explain_getchar_or_die();

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

getchar(3)
    input of characters

explain_getchar(3)
    explain getchar(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller